MInputGUIArgIC Struct Reference
GUI API » Input Method (GUI)

Type of the argument to the function minput_create_ic(). More...

Collaboration diagram for MInputGUIArgIC:
[legend]

## Data Fields

MFrame * | frame
MDrawWindow | client
MDrawWindow | focus

## Detailed Description

Type of the argument to the function minput_create_ic().

The type MInputGUIArgIC is for the argument arg of the function minput_create_ic() to create an input context of an internal input method.

## Field Documentation

## frame

MFrame* MInputGUIArgIC::frame

Frame of the client.

## client

MDrawWindow MInputGUIArgIC::client

Window on which to display the preedit and status text.

## focus

MDrawWindow MInputGUIArgIC::focus

Window that the input context has a focus on.